Page MenuHomePhabricator

Flow: Fatal exception of type MWException from AbstractQuery.php: Did not load root post <UUID>, viewing boards and topics
Open, HighPublic

Description

Currently https://fr.wikipedia.org/wiki/Wikip%C3%A9dia:Forum_des_nouveaux/Flow
leads to the message:
Internal error
[1e3e5c74] 2014-09-27 01:10:46: Fatal exception of type MWException

Webconsole says:
"[FLOW] " "Will not instantiate: no $container.length" Arguments { 0: Object, 2 more… }


Possibly separate, or the same:

Clicking the history tab gives:
[0e33f8fa] 2014-09-27 01:12:45: Fatal exception of type MWException

but no extra details in webconsole


Version: unspecified
Severity: normal
URL: https://fr.wikipedia.org/wiki/Wikip%C3%A9dia:Forum_des_nouveaux/Flow

Details

Reference
bz71377

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:44 AM
bzimport set Reference to bz71377.
bzimport added a subscriber: Unknown Object (MLST).
Quiddity created this task.Sep 27 2014, 1:14 AM

The pages have been temporarily fixed by Ebernhardson, so am lowering severity. He is unsure what caused it, but purged the problem manually. See https://trello.com/c/AoDOJxUq/ for making that purge script available via onwiki action.

Stack trace:

2014-09-28 11:40:09 mw1037 mediawikiwiki: [3476013e] /wiki/Talk:HHVM/About Exception from line 287 of /srv/mediawiki/php-1.25wmf1/extensions/Flow/includes/Formatter/AbstractQuery.php: Did not load root post S2x174x44fnr5xx7
#0 /srv/mediawiki/php-1.25wmf1/extensions/Flow/includes/Formatter/AbstractQuery.php(210): Flow\Formatter\AbstractQuery->getRootPost(Object(Flow\Model\PostRevision))
#1 /srv/mediawiki/php-1.25wmf1/extensions/Flow/includes/Formatter/TopicListQuery.php(68): Flow\Formatter\AbstractQuery->buildResult(Object(Flow\Model\PostRevision), NULL, Object(Flow\Formatter\TopicRow))
#2 /srv/mediawiki/php-1.25wmf1/extensions/Flow/includes/Block/TopicList.php(196): Flow\Formatter\TopicListQuery->getResults(Array)
#3 /srv/mediawiki/php-1.25wmf1/extensions/Flow/includes/View.php(133): Flow\Block\TopicListBlock->renderAPI(Array)
#4 /srv/mediawiki/php-1.25wmf1/extensions/Flow/includes/Content/BoardContent.php(197): Flow\View->show(Object(Flow\WorkflowLoader), 'view')
#5 /srv/mediawiki/php-1.25wmf1/includes/page/WikiPage.php(2145): Flow\Content\BoardContent->getParserOutput(Object(Title), NULL, Object(ParserOptions))
#6 /srv/mediawiki/php-1.25wmf1/extensions/TemplateData/TemplateData.hooks.php(71): WikiPage->prepareContentForEdit(Object(Flow\Content\BoardContent), NULL, Object(User), 'application/jso...')
#7 [internal function]: TemplateDataHooks::onPageContentSave(Object(WikiPage), Object(User), Object(Flow\Content\BoardContent), '/* Taken over b...', 0, NULL, NULL, 25, Object(Status))
#8 /srv/mediawiki/php-1.25wmf1/includes/Hooks.php(206): call_user_func_array('TemplateDataHoo...', Array)
#9 /srv/mediawiki/php-1.25wmf1/includes/GlobalFunctions.php(3991): Hooks::run('PageContentSave', Array, NULL)
#10 /srv/mediawiki/php-1.25wmf1/includes/page/WikiPage.php(1780): wfRunHooks('PageContentSave', Array)
#11 /srv/mediawiki/php-1.25wmf1/extensions/Flow/includes/TalkpageManager.php(99): WikiPage->doEditContent(Object(Flow\Content\BoardContent), '/* Taken over b...', 24, false, Object(User))
#12 /srv/mediawiki/php-1.25wmf1/extensions/Flow/includes/Data/Listener/OccupationListener.php(58): Flow\TalkpageManager->ensureFlowRevision(Object(Article), Object(Flow\Model\Workflow))
#13 /srv/mediawiki/php-1.25wmf1/extensions/Flow/includes/Data/Listener/OccupationListener.php(45): Flow\Data\Listener\OccupationListener->ensureOccupation(Object(Flow\Model\Workflow))
#14 /srv/mediawiki/php-1.25wmf1/extensions/Flow/includes/Data/ObjectLocator.php(308): Flow\Data\Listener\OccupationListener->onAfterLoad(Object(Flow\Model\Workflow), Array)
#15 /srv/mediawiki/php-1.25wmf1/extensions/Flow/includes/Data/ObjectManager.php(127): Flow\Data\ObjectLocator->load(Array)
#16 /srv/mediawiki/php-1.25wmf1/extensions/Flow/includes/Data/ObjectLocator.php(93): Flow\Data\ObjectManager->load(Array)
#17 /srv/mediawiki/php-1.25wmf1/extensions/Flow/includes/Data/ObjectLocator.php(48): Flow\Data\ObjectLocator->findMulti(Array, Array)
#18 /srv/mediawiki/php-1.25wmf1/extensions/Flow/includes/WorkflowLoaderFactory.php(98): Flow\Data\ObjectLocator->find(Array)
#19 /srv/mediawiki/php-1.25wmf1/extensions/Flow/includes/WorkflowLoaderFactory.php(74): Flow\WorkflowLoaderFactory->loadWorkflow(Object(Title))
#20 /srv/mediawiki/php-1.25wmf1/extensions/Flow/includes/Actions/Action.php(75): Flow\WorkflowLoaderFactory->createWorkflowLoader(Object(Title), NULL)
#21 /srv/mediawiki/php-1.25wmf1/extensions/Flow/includes/Actions/Action.php(33): Flow\Actions\FlowAction->showForAction('view')
#22 /srv/mediawiki/php-1.25wmf1/includes/MediaWiki.php(414): Flow\Actions\FlowAction->show()
#23 /srv/mediawiki/php-1.25wmf1/includes/MediaWiki.php(282): MediaWiki->performAction(Object(Article), Object(Title))
#24 /srv/mediawiki/php-1.25wmf1/includes/MediaWiki.php(584): MediaWiki->performRequest()
#25 /srv/mediawiki/php-1.25wmf1/includes/MediaWiki.php(435): MediaWiki->main()
#26 /srv/mediawiki/php-1.25wmf1/index.php(46): MediaWiki->run()
#27 /srv/mediawiki/w/index.php(3): require('/srv/mediawiki/...')
#28 {main}

Also happening on mw:Talk:Search

exception.log backtrace (below, key is [6ba6245c]) is similar for #0-#3, then diverges. I think I'm viewing a different way.

If I try to view the post from "Did not load root post <UUID>" from the exception, https://www.mediawiki.org/wiki/Topic:S1b3m6774w8qpf8t , I get a worse exception with no page chrome at all, just
[7db57483] 2014-09-28 22:13:56: Fatal exception of type MWException. That log below too.

Purging the problem post with ErikB's script didn't help, but purging Talk:Search fixed both the topic and Flow board.

Exception.log contents for visiting https://www.mediawiki.org/wiki/Talk:Search :

2014-09-28 22:03:02 mw1018 mediawikiwiki: [1beea5d6] /wiki/Talk:Search Exception from line 287 of /srv/mediawiki/php-1.25wmf1/extensions/Flow/includes/Formatter/AbstractQuery.php: Did not load root post S1b3m6774w8qpf8t
#0 /srv/mediawiki/php-1.25wmf1/extensions/Flow/includes/Formatter/AbstractQuery.php(210): Flow\Formatter\AbstractQuery->getRootPost()
#1 /srv/mediawiki/php-1.25wmf1/extensions/Flow/includes/Formatter/TopicListQuery.php(68): Flow\Formatter\AbstractQuery->buildResult()
#2 /srv/mediawiki/php-1.25wmf1/extensions/Flow/includes/Block/TopicList.php(196): Flow\Formatter\TopicListQuery->getResults()
#3 /srv/mediawiki/php-1.25wmf1/extensions/Flow/includes/View.php(133): Flow\Block\TopicListBlock->renderAPI()
#4 /srv/mediawiki/php-1.25wmf1/extensions/Flow/includes/Actions/Action.php(87): Flow\View->show()
#5 /srv/mediawiki/php-1.25wmf1/extensions/Flow/includes/Actions/Action.php(33): Flow\Actions\FlowAction->showForAction()
#6 /srv/mediawiki/php-1.25wmf1/includes/MediaWiki.php(414): Flow\Actions\FlowAction->show()
#7 /srv/mediawiki/php-1.25wmf1/includes/MediaWiki.php(282): MediaWiki->performAction()
#8 /srv/mediawiki/php-1.25wmf1/includes/MediaWiki.php(584): MediaWiki->performRequest()
#9 /srv/mediawiki/php-1.25wmf1/includes/MediaWiki.php(435): MediaWiki->main()
#10 /srv/mediawiki/php-1.25wmf1/index.php(46): MediaWiki->run()
#11 /srv/mediawiki/w/index.php(3): include()
d#12 {main}

Exception log contents from viewing https://www.mediawiki.org/wiki/Topic:S1b3m6774w8qpf8t

2014-09-28 22:13:56 mw1021 mediawikiwiki: [7db57483] /wiki/Topic:S1b3m6774w8qpf8t Exception from line 287 of /srv/mediawiki/php-1.25wmf1/extensions/Flow/includes/Formatter/AbstractQuery.php: Did not load root post S1b3m6774w8qpf8t
#0 /srv/mediawiki/php-1.25wmf1/extensions/Flow/includes/Formatter/AbstractQuery.php(210): Flow\Formatter\AbstractQuery->getRootPost()
#1 /srv/mediawiki/php-1.25wmf1/extensions/Flow/includes/Formatter/TopicListQuery.php(68): Flow\Formatter\AbstractQuery->buildResult()
#2 /srv/mediawiki/php-1.25wmf1/extensions/Flow/includes/Block/Topic.php(582): Flow\Formatter\TopicListQuery->getResults()
#3 /srv/mediawiki/php-1.25wmf1/extensions/Flow/includes/Block/Topic.php(482): Flow\Block\TopicBlock->renderTopicAPI()
#4 /srv/mediawiki/php-1.25wmf1/extensions/Flow/includes/View.php(133): Flow\Block\TopicBlock->renderAPI()
#5 /srv/mediawiki/php-1.25wmf1/extensions/Flow/includes/Actions/Action.php(87): Flow\View->show()
#6 /srv/mediawiki/php-1.25wmf1/extensions/Flow/includes/Actions/Action.php(33): Flow\Actions\FlowAction->showForAction()
#7 /srv/mediawiki/php-1.25wmf1/includes/MediaWiki.php(414): Flow\Actions\FlowAction->show()
#8 /srv/mediawiki/php-1.25wmf1/includes/MediaWiki.php(282): MediaWiki->performAction()
#9 /srv/mediawiki/php-1.25wmf1/includes/MediaWiki.php(584): MediaWiki->performRequest()
#10 /srv/mediawiki/php-1.25wmf1/includes/MediaWiki.php(435): MediaWiki->main()
#11 /srv/mediawiki/php-1.25wmf1/index.php(46): MediaWiki->run()
#12 /srv/mediawiki/w/index.php(3): include()
#13 {main}

gerritadmin wrote:

Change 163589 had a related patch set uploaded by Spage:
piecemeal loading instead of fail in getRootPost

https://gerrit.wikimedia.org/r/163589

Getting this when trying to view a post on [[mw:Talk:Search]]. This is the link I got in the messages: https://www.mediawiki.org/w/index.php?title=Topic:S1b3m6774w8qpf8t&fromnotif=1#flow-post-s3ermfxsleu9goor

and it blows up with this error.

gerritadmin wrote:

Change 164311 had a related patch set uploaded by Matthias Mullie:
Refactor BufferedCache

https://gerrit.wikimedia.org/r/164311

Nik: I purged the corrupted cache & page is accessible again.

Hopefully, the above patches should fix this issue.

gerritadmin wrote:

Change 164311 merged by jenkins-bot:
Refactor BufferedCache

https://gerrit.wikimedia.org/r/164311

gerritadmin wrote:

Change 166072 had a related patch set uploaded by Spage:
Bug: UUID class accepts uppercase input

https://gerrit.wikimedia.org/r/166072

gerritadmin wrote:

Change 166072 merged by jenkins-bot:
Bug: UUID class accepts uppercase input

https://gerrit.wikimedia.org/r/166072

Change 163589 abandoned by Matthias Mullie:
piecemeal loading instead of fail in getRootPost

Reason:
Agreed

https://gerrit.wikimedia.org/r/163589

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:41 AM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 6 2015, 8:35 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 18 2018, 7:06 PM
SBisson moved this task from Inbox to Triaged but Future on the Growth-Team board.Jul 20 2018, 5:57 PM